## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesWrapperTypes.hpp File Reference

Include dependency graph for XercesWrapperTypes.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

- #define XERCESWRAPPERTYPES_HEADER_GUARD_1357924680

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMCharacterData DOMCharacterDataType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMComment DOMCommentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMCDATASection DOMCDATASectionType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocumentType DOMDocumentType_Type
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocument DOMDocument_Type
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMDocumentFragment DOMDocumentFragmentType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMImplementation DOMImplementationType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMElement DOMElementType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMEntity DOMEntityType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMEntityReference DOMEntityReferenceType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNode DOMNodeType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMText DOMTextType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNamedNodeMap DOMNamedNodeMapType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNodeList DOMNodeListType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMNotation DOMNotationType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMProcessingInstruction DOMProcessingInstructionType
- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DOMException DOMExceptionType
- typedef XMLSize_t XMLSizeType

## Functions

- XALAN_DECLARE_XERCES_CLASS (DOMAttr) XALAN_DECLARE_XERCES_CLASS(DOMCharacterData) XALAN_DECLARE_XERCES_CLASS(DOMComment) XALAN_DECLARE_XERCES_CLASS(DOMCDATASection) XALAN_DECLARE_XERCES_CLASS(DOMDocument) XALAN_DECLARE_XERCES_CLASS(DOMDocumentFragment) XALAN_DECLARE_XERCES_CLASS(DOMImplementation) XALAN_DECLARE_XERCES_CLASS(DOMElement) XALAN_DECLARE_XERCES_CLASS(DOMEntity) XALAN_DECLARE_XERCES_CLASS(DOMEntityReference) XALAN_DECLARE_XERCES_CLASS(DOMNode) XALAN_DECLARE_XERCES_CLASS(DOMText) XALAN_DECLARE_XERCES_CLASS(DOMNamedNodeMap) XALAN_DECLARE_XERCES_CLASS(DOMNodeList) XALAN_DECLARE_XERCES_CLASS(DOMNotation) XALAN_DECLARE_XERCES_CLASS(DOMProcessingInstruction) XALAN_DECLARE_XERCES_CLASS(DOMText) XALAN_DECLARE_XERCES_CLASS(DOMDocumentType) XALAN_DECLARE_XERCES_CLASS(DOMException) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMAttr DOMAttrType
    This class is deprecated. More...

## Define Documentation

#define XERCESWRAPPERTYPES_HEADER_GUARD_1357924680

| Value:

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMCDATASection DOMCDATASectionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMCharacterData DOMCharacterDataType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMComment DOMCommentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocumentFragment DOMDocumentFragmentType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocumentType DOMDocumentType_Type

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMDocument DOMDocument_Type

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMElement DOMElementType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMEntityReference DOMEntityReferenceType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMEntity DOMEntityType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMException DOMExceptionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMImplementation DOMImplementationType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNamedNodeMap DOMNamedNodeMapType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNodeList DOMNodeListType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNode DOMNodeType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMNotation DOMNotationType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMProcessingInstruction DOMProcessingInstructionType

typedef XERCES_CPP_NAMESPACE_QUALIFIER DOMText DOMTextType

typedef XMLSize_t XMLSizeType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | DOMAttr )

| This class is deprecated. Deprecated: This class is part of the deprecated Xerces DOM bridge.

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.